
locals {
  additional_policy_arns = var.additional_policy_arns
  amazon_managed_service_prometheus_policy_name = var.amazon_managed_service_prometheus_policy_name
  amazon_managed_service_prometheus_workspace_arns = var.amazon_managed_service_prometheus_workspace_arns
  appmesh_controller_policy_name = var.appmesh_controller_policy_name
  appmesh_envoy_proxy_policy_name = var.appmesh_envoy_proxy_policy_name
  association_defaults = var.association_defaults
  associations = var.associations
  attach_amazon_managed_service_prometheus_policy = var.attach_amazon_managed_service_prometheus_policy
  attach_aws_appmesh_controller_policy = var.attach_aws_appmesh_controller_policy
  attach_aws_appmesh_envoy_proxy_policy = var.attach_aws_appmesh_envoy_proxy_policy
  attach_aws_cloudwatch_observability_policy = var.attach_aws_cloudwatch_observability_policy
  attach_aws_ebs_csi_policy = var.attach_aws_ebs_csi_policy
  attach_aws_efs_csi_policy = var.attach_aws_efs_csi_policy
  attach_aws_fsx_lustre_csi_policy = var.attach_aws_fsx_lustre_csi_policy
  attach_aws_gateway_controller_policy = var.attach_aws_gateway_controller_policy
  attach_aws_lb_controller_policy = var.attach_aws_lb_controller_policy
  attach_aws_lb_controller_targetgroup_binding_only_policy = var.attach_aws_lb_controller_targetgroup_binding_only_policy
  attach_aws_node_termination_handler_policy = var.attach_aws_node_termination_handler_policy
  attach_aws_privateca_issuer_policy = var.attach_aws_privateca_issuer_policy
  attach_aws_vpc_cni_policy = var.attach_aws_vpc_cni_policy
  attach_cert_manager_policy = var.attach_cert_manager_policy
  attach_cluster_autoscaler_policy = var.attach_cluster_autoscaler_policy
  attach_custom_policy = var.attach_custom_policy
  attach_external_dns_policy = var.attach_external_dns_policy
  attach_external_secrets_policy = var.attach_external_secrets_policy
  attach_mountpoint_s3_csi_policy = var.attach_mountpoint_s3_csi_policy
  attach_velero_policy = var.attach_velero_policy
  aws_ebs_csi_kms_arns = var.aws_ebs_csi_kms_arns
  aws_ebs_csi_policy_name = var.aws_ebs_csi_policy_name
  aws_efs_csi_policy_name = var.aws_efs_csi_policy_name
  aws_fsx_lustre_csi_policy_name = var.aws_fsx_lustre_csi_policy_name
  aws_fsx_lustre_csi_service_role_arns = var.aws_fsx_lustre_csi_service_role_arns
  aws_gateway_controller_policy_name = var.aws_gateway_controller_policy_name
  aws_lb_controller_policy_name = var.aws_lb_controller_policy_name
  aws_lb_controller_targetgroup_arns = var.aws_lb_controller_targetgroup_arns
  aws_lb_controller_targetgroup_only_policy_name = var.aws_lb_controller_targetgroup_only_policy_name
  aws_node_termination_handler_policy_name = var.aws_node_termination_handler_policy_name
  aws_node_termination_handler_sqs_queue_arns = var.aws_node_termination_handler_sqs_queue_arns
  aws_privateca_issuer_acmca_arns = var.aws_privateca_issuer_acmca_arns
  aws_privateca_issuer_policy_name = var.aws_privateca_issuer_policy_name
  aws_vpc_cni_enable_ipv4 = var.aws_vpc_cni_enable_ipv4
  aws_vpc_cni_enable_ipv6 = var.aws_vpc_cni_enable_ipv6
  aws_vpc_cni_policy_name = var.aws_vpc_cni_policy_name
  cert_manager_hosted_zone_arns = var.cert_manager_hosted_zone_arns
  cert_manager_policy_name = var.cert_manager_policy_name
  cluster_autoscaler_cluster_names = var.cluster_autoscaler_cluster_names
  cluster_autoscaler_policy_name = var.cluster_autoscaler_policy_name
  create = var.create
  custom_policy_description = var.custom_policy_description
  description = var.description
  external_dns_hosted_zone_arns = var.external_dns_hosted_zone_arns
  external_dns_policy_name = var.external_dns_policy_name
  external_secrets_create_permission = var.external_secrets_create_permission
  external_secrets_kms_key_arns = var.external_secrets_kms_key_arns
  external_secrets_policy_name = var.external_secrets_policy_name
  external_secrets_secrets_manager_arns = var.external_secrets_secrets_manager_arns
  external_secrets_ssm_parameter_arns = var.external_secrets_ssm_parameter_arns
  max_session_duration = var.max_session_duration
  mountpoint_s3_csi_bucket_arns = var.mountpoint_s3_csi_bucket_arns
  mountpoint_s3_csi_bucket_path_arns = var.mountpoint_s3_csi_bucket_path_arns
  mountpoint_s3_csi_policy_name = var.mountpoint_s3_csi_policy_name
  name = var.name
  override_policy_documents = var.override_policy_documents
  path = var.path
  permissions_boundary_arn = var.permissions_boundary_arn
  policy_name_prefix = var.policy_name_prefix
  policy_statements = var.policy_statements
  source_policy_documents = var.source_policy_documents
  tags = var.tags
  trust_policy_statements = var.trust_policy_statements
  use_name_prefix = var.use_name_prefix
  velero_policy_name = var.velero_policy_name
  velero_s3_bucket_arns = var.velero_s3_bucket_arns
  velero_s3_bucket_path_arns = var.velero_s3_bucket_path_arns
}
